## qtdeclarative-opensource-src 5.14.2+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.14.2+dfsg-3ubuntu1) groovy; urgency=medium

  * Update symbols files (fixes FTBFS on ppc64el).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 08 Oct 2020 18:05:07 +0300

qtdeclarative-opensource-src (5.14.2+dfsg-3) unstable; urgency=medium

  * Update symbols files for GCC 10 (closes: #957729).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 23 Jul 2020 12:14:35 +0300

qtdeclarative-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:23:21 +0300

qtdeclarative-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Drop debian/patches/escape_url_regex.patch, applied upstream.
  * Refresh debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump ABI version to qtdeclarative-abi-5-14-2.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Apr 2020 13:33:59 +0300

qtdeclarative-opensource-src (5.14.1+dfsg-3) experimental; urgency=medium

  * Install documentation for the new modules.
  * Update symbols files from buildds’ powerpc log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2020 22:20:48 +0300

qtdeclarative-opensource-src (5.14.1+dfsg-2) experimental; urgency=medium

  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Feb 2020 22:53:19 +0300

qtdeclarative-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump Qt build-dependencies to 5.14.1.
  * Bump ABI version to qtdeclarative-abi-5-14-1.
  * Fix qmllint test by using import path from environment variable.
  * Update .install files for existing packages.
  * Add five new binary packages:
    - libqt5qmlmodels5: QML Models support library.
    - libqt5qmlworkerscript5: QML Worker Script support library.
    - qml-module-qt-labs-animation: experimental QML types for animation.
    - qml-module-qtqml: basic QML types.
    - qml-module-qtqml-workerscript2: QML types for worker scripts.
  * Update symbols files from the current build log.
  * Update debian/copyright.
  * Exclude minified jQuery without source from the tarball.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 19 Feb 2020 18:15:30 +0300

=== debian/control ===
Source: qtdeclarative-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.17.14),
               libgl1-mesa-dri,
               pkg-kde-tools (>= 0.15.17~),
               python3:any,
               qtbase5-private-dev (>= 5.14.2+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qdoc-qt5 (>= 5.14.2~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.14.2~) <!nodoc>,
                     qtattributionsscanner-qt5 (>= 5.14.2~) <!nodoc>,
                     qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>
Standards-Version: 4.5.0
Homepage: https://doc.qt.io/qt-5/qmlapplications.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative

Package: libqt5qml5
Provides: qtdeclarative-abi-5-14-2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgl1, libglx-mesa0
Suggests: qt5-qmltooling-plugins
Description: Qt 5 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt5qmlmodels5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML Models library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Models support library.

Package: libqt5qmlworkerscript5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML Worker Script library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Worker Script support library.

Package: libqt5quick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt5quickparticles5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick particles module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Particles support library.

Package: libqt5quickshapes5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Shapes module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Shapes support library.

Package: libqt5quicktest5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt5quickwidgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qml-module-qtquick-layouts
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Layouts QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Quick Layouts modules provides a set of layouts that can be used to
 build complete interfaces in Qt Quick.

Package: qt5-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5qml5 (<< 5.6.0~beta~)
Replaces: libqt5qml5 (<< 5.6.0~beta~)
Description: Qt 5 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling plugins.

Package: qml-module-qt-labs-animation
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt.labs.animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to animation.

Package: qml-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 folderlistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qml-module-qtquick-localstorage
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 localstorage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a singleton type for reading and writing to SQLite databases.

Package: qml-module-qt-labs-sharedimage
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SharedImage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Shared Image plugin.

Package: qml-module-qt-labs-qmlmodels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt.labs.qmlmodels QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to data models.

Package: qml-module-qt-labs-wavefrontmesh
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt.labs.wavefrontmesh QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module provides a mesh based on a Wavefront .obj file.

Package: qml-module-qtqml
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5qml5 (<< 5.14.1+dfsg-1~)
Replaces: libqt5qml5 (<< 5.14.1+dfsg-1~)
Description: Qt 5 QtQml QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains basic QML types.

Package: qml-module-qtqml-models2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Models2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Models provides types previously found in Qt Quick module.

Package: qml-module-qtqml-statemachine
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 State Machine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The State Machine QML module.

Package: qml-module-qtqml-workerscript2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML Worker Script 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for using worker scripts.

Package: qml-module-qtquick-particles2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 particles 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains a particle system for Qt Quick.

Package: qml-module-qtquick2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgl1-mesa-dri, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt Quick 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick 2 QML module for Qt declarative.

Package: qml-module-qtquick-shapes
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt Quick Shapes QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Shapes plugin allows adding stroked and filled paths composed of
 lines, quadratic curves, cubic curves, and arcs into Qt Quick scenes.

Package: qml-module-qt-labs-settings
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 settings QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the settings QML module for Qt declarative.

Package: qml-module-qttest
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 test QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the test QML module for Qt declarative.

Package: qml-module-qtquick-window2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 window 2 QML module

## qtdeclarative-opensource-src 5.15.1.2+dde

=== tests/auto/qml/ecmascripttests/test262/tools/generation/requirements.txt ===
PyYAML==3.11

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 11:51:27 +0800

qtdeclarative-opensource-src (5.15.1.1-1+dde) experimental; urgency=medium

  * add libqt5qml5.symbols.i386 libqt5qmlmodels5.symbols.i386  libqt5quick5.symbols.i386
  * add debian/libqt5qml5.symbols.mips64el

 -- Lu YaNing <luyaning@uniontech.com>  Wed, 20 Jan 2021 15:56:00 +0800

qtdeclarative-opensource-src (5.15.1+dfsg-3) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Fix full (indep+arch) builds by deleting all Makefiles before building
    the arch-dependent packages. Makefiles generated during indep build are
    broken because they are generated before qmltypes.prf becomes available.
  * Add alternative -gles dependencies to qtdeclarative5-dev package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Oct 2020 21:58:14 +0300

qtdeclarative-opensource-src (5.15.1+dfsg-2) experimental; urgency=medium

  * Fix duplicate entries for some files in debian/copyright.
  * Override Lintian warnings about this-value-valid-date-min.js, "min" in
    its name is not for "minified".
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Oct 2020 20:46:06 +0300

qtdeclarative-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches for the new release.
  * Pass QMAKE_PYTHON=python3 to qmake.
  * Bump Qt build-dependencies to 5.15.1.
  * Update symbols files from buildds’ logs.
  * Bump ABI version to qtdeclarative-abi-5-15-1.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Stop exporting $HOME and $XDG_RUNTIME_DIR for tests, debhelper now
      does that itself.
    - Use ${DEB_HOST_MULTIARCH} substitution.
  * Run install in all directories when installing files to test_root,
    this is now needed to get plugins.qmltypes files installed.
  * Update install files for the new release.
  * Update symbols files from the current build log.
  * Add Build-Depends-Package(s) fields to the symbols files.
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 10 Sep 2020 21:28:43 +0300

## qtdeclarative-opensource-src 5.15.2%2Bdfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.2+dfsg-6) unstable; urgency=medium

  * Backport patch to support &appos in styled text, along with it's
    documentation.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jun 2021 18:37:21 -0300

qtdeclarative-opensource-src (5.15.2+dfsg-5) unstable; urgency=medium

  * Add a patch to make tst_qmldiskcache::regenerateAfterChange() pass on
    big endian systems.
  * Add missing dependencies to qtdeclarative5-dev (closes: #985500).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 19 Mar 2021 20:46:16 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-4) unstable; urgency=medium

  * Add Conflicts: against the -gles packages, to make that relation mutual.
    (Thanks to David Kalnischkies for the suggestion; see also #976389.)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 04 Feb 2021 20:36:43 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch to build qmltime as a tool.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix QML property cache leaks of delegate
    items.
  * Backport upstream patch to fix build with GCC 11.
  * Update debian/watch: use format 4, and track only 5.15.x releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Jan 2021 13:25:24 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:45 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Refresh debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump ABI version to qtdeclarative-abi-5-15-2.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Nov 2020 16:46:44 +0300

qtdeclarative-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Fix full (indep+arch) builds by deleting all Makefiles before building
    the arch-dependent packages. Makefiles generated during indep build are
    broken because they are generated before qmltypes.prf becomes available.
  * Add alternative -gles dependencies to qtdeclarative5-dev package.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:18 +0300

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dpkg-dev (>= 1.17.14),
+Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.20.0),
                libgl1-mesa-dri,
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.14.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.14.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.14.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
+Standards-Version: 4.5.1
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-14-2
+Provides: qtdeclarative-abi-5-15-2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -69,6 +68,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -83,6 +83,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qtdeclarative-opensource-src 5.15.2+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.2+dfsg-6+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 5.14.2+dfsg-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 04 Jul 2020 19:53:58 +0000]
  * Update symbols file for raspbian.

  [changes introduced in 5.14.2+dfsg-3+rpi1 by Peter Michael Green]
  * Mark a gcc 10 only symbol as optional.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 17 Jun 2021 11:18:47 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QT_SELECT := qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/test_root
	rm -rf $(CURDIR)/docs
	rm -rf $(CURDIR)/.local

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests QMAKE_PYTHON=python3

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_build-arch:
	# Makefiles need to be regenerated after qmltypes.prf becomes available.
	# (The below line seems to be not needed since the bare existence of override
	# target makes dh(1) change the build order, but let's keep it to be safe.)
	find -name Makefile -and -not -path ./Makefile -delete
	dh_auto_build

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5*.prl

	# Fix wrong permissions in examples.
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ -type f \( \
	-name '*.png' \
	-o -name '*.php' \
	-o -name '*.xsl' \
	-o -name '*.xml' \
	-o -name '*.js' \
	-o -name '*.jpg' \
	-o -name '*.qml' \
	\) -print0 | xargs -0 chmod a-x

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link
	ls debian/qtdeclarative5-dev-tools/usr/lib/qt5/bin | xargs -t -I {} \
		dh_link -pqtdeclarative5-dev-tools usr/lib/qt5/bin/{} usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/{}
	dh_link -pqmlscene usr/lib/qt5/bin/qmlscene usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmlscene
	dh_link -pqml usr/lib/qt5/bin/qml usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qml

override_dh_auto_test-arch:
ifeq (testsuitdisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
	# - hppa: QML engine is broken, see bug #973659
	# - ia64: QML engine is broken, see bug #929682
	# - mips*: Some tests are failing because of bug #868745
	# - powerpc, ppc64, s390x: item-grabber test fails on big endian, see https://bugreports.qt.io/browse/QTBUG-56806
	# - sparc64: QML engine is broken, see bug #894726
ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
	-xvfb-run -a \
	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
	         LD_LIBRARY_PATH=$(CURDIR)/lib
else
	xvfb-run -a \
	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
	         LD_LIBRARY_PATH=$(CURDIR)/lib
endif
endif

override_dh_auto_test-indep:

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/qtdeclarative-everywhere-src-([^-]*)\.tar\.xz

## qtdeclarative-opensource-src 5.15.2+dfsg-3

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.2+dfsg-3-lnd.1) unstable; urgency=medium

  * Add Loongarch support to rules.

 -- Shi Pujin <shipujin@loongson.cn>  Wed, 14 Apr 2021 15:13:31 +0800

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.20.0),
+Build-Depends: debhelper-compat (= 11),
+               dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
@@ -68,7 +68,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -83,7 +82,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -318,3 +316,4 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
--- 
+++ 
@@ -62,15 +62,15 @@
 	dh_link -pqml usr/lib/qt5/bin/qml usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qml
 
 override_dh_auto_test-arch:
-ifeq (testsuitdisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
-	# - hppa: QML engine is broken, see bug #973659
+	# - hppa: QML engine is broken, bug missing
 	# - ia64: QML engine is broken, see bug #929682
 	# - mips*: Some tests are failing because of bug #868745
 	# - powerpc, ppc64, s390x: item-grabber test fails on big endian, see https://bugreports.qt.io/browse/QTBUG-56806
 	# - sparc64: QML engine is broken, see bug #894726
-ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64 loongarch64))
 	-xvfb-run -a \
 	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \

## qtdeclarative-opensource-src 5.15.3

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.3-1+dde) unstable; urgency=medium

  * New upstream release.

 -- Lu YaNing <luyaning@uniontech.com>  Wed, 30 Mar 2022 16:07:51 +0800

=== debian/control ===
--- 
+++ 
@@ -8,25 +8,24 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 11),
-               dpkg-dev (>= 1.17.14),
-               libgl1-mesa-dri,
+Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.19.7),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.2+dfsg~),
+               qtbase5-private-dev (>= 5.15.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.2~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.2~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.2+dfsg~) <!nodoc>
-Standards-Version: 4.5.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-2
+Provides: qtdeclarative-abi-5-15-3
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -266,7 +265,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgl1-mesa-dri, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 Qt Quick 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -317,3 +316,5 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .

## qtdeclarative-opensource-src 5.15.3+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new file names.
  * Drop patches that are included in the new release:
    - qmltime-tool.patch
    - fix_qml_property_cache_leaks.patch
  * Refresh other patches.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump ABI version to qtdeclarative-abi-5-15-3.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2022 19:32:15 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-10) unstable; urgency=medium

  * Backport upstream patch to fix sweep step for tainted QObject JavaScript
    wrappers.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 13 Feb 2022 21:04:16 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-9) unstable; urgency=medium

  * Remove unneeded libgl1-mesa-dri Build-Depends and Depends.
  * Update debian/source/lintian-overrides for Lintian 2.109.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Dec 2021 15:47:05 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-8) unstable; urgency=medium

  * Include <limits> in Yarr.h to fix FTBFS with GCC 11 on arm64 and i386.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Aug 2021 14:21:46 +0300

qtdeclarative-opensource-src (5.15.2+dfsg-7) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix typos in previous changelog entry.

  [ Dmitry Shachnev ]
  * Amend gcc_11.patch with one more fix for GCC 11 (closes: #984313).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Aug 2021 12:02:36 +0300

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.19.7),
+               dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.3~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3~) <!nodoc>
+                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
 Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
@@ -67,6 +67,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -81,6 +82,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -316,5 +318,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .

=== debian/rules ===
--- 
+++ 
@@ -65,12 +65,12 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
-	# - hppa: QML engine is broken, bug missing
+	# - hppa: QML engine is broken, see bug #973659
 	# - ia64: QML engine is broken, see bug #929682
 	# - mips*: Some tests are failing because of bug #868745
 	# - powerpc, ppc64, s390x: item-grabber test fails on big endian, see https://bugreports.qt.io/browse/QTBUG-56806
 	# - sparc64: QML engine is broken, see bug #894726
-ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64 loongarch64))
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
 	-xvfb-run -a \
 	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \

## qtdeclarative-opensource-src 5.15.6

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.6-1+dde) unstable; urgency=medium

  * New upstream release (5.15.6).

 -- Duan Ting <duanting@uniontech.com>  Mon, 19 Sep 2022 10:50:43 +0800

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.20.0),
+               dpkg-dev (>= 1.19.7),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.6~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.6~) <!nodoc>
 Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-3
+Provides: qtdeclarative-abi-5-15-6
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -67,7 +67,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -82,7 +81,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -318,3 +316,5 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .

## qtdeclarative-opensource-src 5.15.6+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.15.6.
  * Bump ABI version to 5-15-6.
  * Update debian/source/lintian-overrides for Lintian pointed hints.
  * Update debian/copyright.
  * Update debian/libqt5qml5.symbols from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 20:27:43 +0300

qtdeclarative-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Bump ABI version to 5-15-5.
  * Refresh patches for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 Jul 2022 20:15:45 +0300

qtdeclarative-opensource-src (5.15.4+dfsg-4) unstable; urgency=medium

  [ Jonah Brüchert ]
  * Backport upstream patch to fix asynchronous loaders loading when inactive

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2022 23:08:41 +0300

qtdeclarative-opensource-src (5.15.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:23 +0300

qtdeclarative-opensource-src (5.15.4+dfsg-2) experimental; urgency=medium

  * Use symver directive to catch all private symbols at once.
  * Backport upstream patch to fix Flickable wheel velocity calculation
    (closes: #1011253, thanks Wolfgang Frisch).
  * Backport one more patch to make the tests pass.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 May 2022 00:40:09 +0300

qtdeclarative-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump ABI version to qtdeclarative-abi-5-15-4.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Add two new symbols to debian/libqt5quick5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2022 22:50:27 +0300

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.19.7),
+               dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.6~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6~) <!nodoc>
-Standards-Version: 4.6.0
+                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
@@ -67,6 +67,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -81,6 +82,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -316,5 +318,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
